(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     11086,        312]
NotebookOptionsPosition[      9331,        277]
NotebookOutlinePosition[      9720,        294]
CellTagsIndexPosition[      9677,        291]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"\[Lambda]", "*", "\[Theta]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "a", ",", "b"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7479038319244328`*^9, 3.7479038762329893`*^9}, {
  3.747903942692659*^9, 3.747903944860798*^9}, {3.74790415549482*^9, 
  3.7479041568770123`*^9}},ExpressionUUID->"1e271f73-52c4-45b5-86e3-\
3692b9c737cb"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"a", " ", "\[Lambda]"}]]}], "+", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"b", " ", "\[Lambda]"}]]}], "\[Lambda]"]], "Output",
 CellChangeTimes->{
  3.7479038771071997`*^9, {3.747903924196949*^9, 3.7479039463845882`*^9}, 
   3.747904159419825*^9},ExpressionUUID->"3f332931-629c-4aec-ab2c-\
db36a0f6194f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "\[Theta]_", "]"}], ":=", 
  RowBox[{
   FractionBox["\[Lambda]", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[Lambda]", " ", "b"}]], "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[Lambda]", " ", "a"}]]}]], 
   RowBox[{"Exp", "[", 
    RowBox[{"\[Lambda]", "*", "\[Theta]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.747903976043374*^9, 3.7479040510251923`*^9}, {
  3.7479041632338037`*^9, 
  3.747904167687944*^9}},ExpressionUUID->"8a845d19-2f4b-4298-821e-\
2de93cae6009"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"\[Theta]", " ", 
    RowBox[{"f", "[", "\[Theta]", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "a", ",", "b"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7479040674091988`*^9, 3.747904090657498*^9}, {
  3.7479041330931873`*^9, 3.747904137111223*^9}, {3.7479041750698967`*^9, 
  3.747904177127983*^9}},ExpressionUUID->"2a37664f-810c-4076-917d-\
d53552db0be7"],

Cell[BoxData[
 RowBox[{"b", "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"a", "-", "b"}], ")"}], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"a", " ", "\[Lambda]"}]]}], 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"a", " ", "\[Lambda]"}]], "-", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"b", " ", "\[Lambda]"}]]}]], "-", 
  FractionBox["1", "\[Lambda]"]}]], "Output",
 CellChangeTimes->{{3.747904133834174*^9, 3.7479041397363653`*^9}, 
   3.74790417863616*^9},ExpressionUUID->"49294776-953a-4ebc-9ed7-\
5cd9b2127a0f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", "0"}], ";", 
  RowBox[{"b", "=", "1"}], ";"}]], "Input",
 CellChangeTimes->{{3.747904274652067*^9, 
  3.7479042776273403`*^9}},ExpressionUUID->"b2c6d8cb-d58d-4687-a405-\
52fc891e14ab"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"b", "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "-", "b"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"a", " ", "\[Lambda]"}]]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"a", " ", "\[Lambda]"}]], "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"b", " ", "\[Lambda]"}]]}]], "-", 
     FractionBox["1", "\[Lambda]"]}], "\[Equal]", "0.04"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", "1000"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.747904283114595*^9, 
  3.74790436642854*^9}},ExpressionUUID->"26345aa8-09f4-432d-bd4f-\
65a78fbb4503"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\[Lambda]", "\[Rule]", 
   RowBox[{"-", "24.999999991319978`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7479042965059147`*^9, 3.747904367125963*^9}, 
   3.7480982941236687`*^9},ExpressionUUID->"a7fa6d67-889a-428c-be95-\
d103a144f8bc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "\[Theta]_", "]"}], ":=", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"25", " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "25"}], " ", "\[Theta]"}]]}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox["1", 
       SuperscriptBox["\[ExponentialE]", "25"]]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7479046934653683`*^9, 
  3.7479047033823423`*^9}},ExpressionUUID->"fa1adc4a-c5ad-4b32-ae55-\
fcc8e0fda5aa"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "y_", "]"}], ":=", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      FractionBox["25", 
       SuperscriptBox["10", "6"]], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["25", 
          SuperscriptBox["10", "6"]]}], " ", "y"}]]}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox["1", 
       SuperscriptBox["\[ExponentialE]", "25"]]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.748005143460986*^9, 
  3.748005218579323*^9}},ExpressionUUID->"d118a543-ba86-4358-8e3c-\
1ac8f8d85869"],

Cell[BoxData[
 RowBox[{
  RowBox[{"like", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"NMaximize", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SuperscriptBox["x", "94"], " ", 
          SuperscriptBox["y", "4"], " ", "z", " ", "w"}], ",", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"w", "+", "x", "+", "y", "+", "z"}], "==", "1"}], " ", "&&",
           " ", 
          RowBox[{
           RowBox[{"10000", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"5", "*", "y"}], "+", 
              RowBox[{"10", "*", "z"}], "+", 
              RowBox[{"90", "*", "w"}]}], ")"}]}], "\[Equal]", "theta"}], " ",
           "&&", " ", 
          RowBox[{"x", " ", "\[GreaterEqual]", "  ", "0"}], " ", "&&", " ", 
          RowBox[{"y", " ", "\[GreaterEqual]", "  ", "0"}], "&&", " ", 
          RowBox[{"z", " ", "\[GreaterEqual]", "  ", "0"}], "&&", " ", 
          RowBox[{"w", " ", "\[GreaterEqual]", "  ", "0"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y", ",", "z", ",", "w"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"theta", ",", "0", ",", "200000", ",", "500"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.74763588909442*^9, 3.747635899814682*^9}, {
   3.747636085999403*^9, 3.747636109782938*^9}, {3.7476361602636757`*^9, 
   3.747636330071587*^9}, {3.747636475503624*^9, 3.747636476023261*^9}, {
   3.747636539719666*^9, 3.747636566671236*^9}, {3.747636720143552*^9, 
   3.747636735639285*^9}, {3.747636770018001*^9, 3.747636785759605*^9}, {
   3.747637016040224*^9, 3.747637038447433*^9}, 3.747637082673044*^9, {
   3.7476374680959167`*^9, 3.7476375074153757`*^9}, {3.747989074927561*^9, 
   3.747989135511232*^9}, {3.747989166967793*^9, 3.747989178135825*^9}, {
   3.7479951248481483`*^9, 3.747995126271295*^9}, 3.7480055077526617`*^9, {
   3.748005658645802*^9, 3.748005658902372*^9}, {3.7480061002374268`*^9, 
   3.748006100517659*^9}, {3.7480983518001537`*^9, 3.748098357330958*^9}, {
   3.7480985532859993`*^9, 3.748098557130774*^9}, {3.7504160230717297`*^9, 
   3.750416038741468*^9}},ExpressionUUID->"bf007efe-08fc-4a68-ac75-\
b26bb41d294a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "200000", ",", "500"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.748005538122341*^9, 3.748005565792385*^9}, {
  3.748006038618493*^9, 
  3.748006086599339*^9}},ExpressionUUID->"1b128475-7189-4ebd-bd54-\
054ea1af76bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"prob1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"like", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "1"}], "]"}], "]"}], "*", 
      RowBox[{"g", "[", 
       RowBox[{"var", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "401"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.748005588985717*^9, 3.748005640586986*^9}, {
  3.748006173545879*^9, 3.7480061739036016`*^9}, {3.748098609042357*^9, 
  3.7480986125948467`*^9}},ExpressionUUID->"ba4c8535-3287-4b42-adc1-\
c6d5cd906bc7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"sum", "=", 
   RowBox[{"Total", "[", "prob1", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.748005695134039*^9, 
  3.748005723050914*^9}},ExpressionUUID->"cc2aa131-981e-4121-9fd0-\
1ffd5ee10273"],

Cell[BoxData[
 RowBox[{
  RowBox[{"prob", "=", 
   RowBox[{"prob1", "/", "sum"}]}], " ", ";"}]], "Input",
 CellChangeTimes->{{3.748005705653322*^9, 3.74800576192068*^9}, {
  3.74800585022758*^9, 3.7480058639180593`*^9}, {3.748005902228259*^9, 
  3.748005926607925*^9}},ExpressionUUID->"0acc7c8c-f239-4ef9-addf-\
33c55853d3ac"]
},
WindowSize->{1258, 1313},
WindowMargins->{{6, Automatic}, {Automatic, 0}},
Magnification:>2. Inherited,
FrontEndVersion->"11.2 para Mac OS X x86 (32-bit, 64-bit Kernel) (September \
10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 448, 10, 86, "Input",ExpressionUUID->"1e271f73-52c4-45b5-86e3-3692b9c737cb"],
Cell[1031, 34, 422, 11, 95, "Output",ExpressionUUID->"3f332931-629c-4aec-ab2c-db36a0f6194f"]
}, Open  ]],
Cell[1468, 48, 561, 15, 119, "Input",ExpressionUUID->"8a845d19-2f4b-4298-821e-2de93cae6009"],
Cell[CellGroupData[{
Cell[2054, 67, 446, 10, 86, "Input",ExpressionUUID->"2a37664f-810c-4076-917d-d53552db0be7"],
Cell[2503, 79, 581, 16, 99, "Output",ExpressionUUID->"49294776-953a-4ebc-9ed7-5cd9b2127a0f"]
}, Open  ]],
Cell[3099, 98, 228, 6, 59, "Input",ExpressionUUID->"b2c6d8cb-d58d-4687-a405-52fc891e14ab"],
Cell[CellGroupData[{
Cell[3352, 108, 745, 21, 125, "Input",ExpressionUUID->"26345aa8-09f4-432d-bd4f-65a78fbb4503"],
Cell[4100, 131, 277, 6, 67, "Output",ExpressionUUID->"a7fa6d67-889a-428c-be95-d103a144f8bc"]
}, Open  ]],
Cell[4392, 140, 523, 16, 116, "Input",ExpressionUUID->"fa1adc4a-c5ad-4b32-ae55-fcc8e0fda5aa"],
Cell[4918, 158, 621, 20, 150, "Input",ExpressionUUID->"d118a543-ba86-4358-8e3c-1ac8f8d85869"],
Cell[5542, 180, 2207, 46, 351, "Input",ExpressionUUID->"bf007efe-08fc-4a68-ac75-b26bb41d294a"],
Cell[7752, 228, 385, 11, 86, "Input",ExpressionUUID->"1b128475-7189-4ebd-bd54-054ea1af76bf"],
Cell[8140, 241, 623, 17, 86, "Input",ExpressionUUID->"ba4c8535-3287-4b42-adc1-c6d5cd906bc7"],
Cell[8766, 260, 232, 6, 86, "Input",ExpressionUUID->"cc2aa131-981e-4121-9fd0-1ffd5ee10273"],
Cell[9001, 268, 326, 7, 59, "Input",ExpressionUUID->"0acc7c8c-f239-4ef9-addf-33c55853d3ac"]
}
]
*)

